// Copyright (C) 2020 Daniel Mall
#include "CDemoGlobals.h"
#include "CAudio_Sokol.h"

//! global data
CDemoGlobals m_global;

//! global state
CDemoGlobals* global()
{
	return &m_global;
}

CDemoGlobals::CDemoGlobals()
{
	m_dispatch.m_nDemoSelected = eDemoDispatchId::nDemoIdTriangle;

	m_pAudio = new CAudioMixer_Sokol;
}

CDemoGlobals::~CDemoGlobals()
{
	delete m_pAudio;
}
